# Support class for HP legacy devices

Currently this implementation is used for the following instruments which do not support SCPI:

- HP3437A System-Voltmeter

- HP3478A Digital Multimeter

- HP6632/33/34A System power supply

class pymeasure.instruments.hp.HPLegacyInstrument(adapter, name='HP legacy instrument', **kwargs)

  Bases: `Instrument`

  Class for legacy HP instruments from the era before SPCI, based on pymeasure.Instrument

  GPIB_trigger()

    Initate trigger via low-level GPIB-command (aka GET - group execute trigger)

  reset()

    Initatiates a reset (like a power-on reset) of the HP3478A

  shutdown()

    provides a way to gracefully close the connection to the HP3478A

  property status

    Get an object representing the current status of the unit.

  status_desc

    alias of `StatusBitsBase`

  values(command, **kwargs)

    Write a command to the instrument and return a list of formatted values from the result.

    Parameters:

      - command – SCPI command to be sent to the instrument.

      - preprocess_reply – Optional callable used to preprocess the string received from the instrument, before splitting it. The callable returns the processed string.

      - separator – A separator character to split the string returned by the device into a list.

      - maxsplit – The string returned by the device is splitted at most maxsplit times. -1 (default) indicates no limit.

      - cast – A type to cast each element of the splitted string.

      - **kwargs – Keyword arguments to be passed to the `ask()` method.

    Returns:

      A list of the desired type, or strings where the casting fails.

  write(command)

    Write a string command to the instrument appending write_termination.

    Parameters:

      - command – command string to be sent to the instrument

      - kwargs – Keyword arguments for the adapter.